Name:    cervisia
Summary: CVS frontend
Version: 4.11.4
Release: 1%{?dist}

License: GPLv2+ and LGPLv2+ and GFDL
URL:     https://projects.kde.org/projects/kde/kdesdk/cervisia
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  kdelibs4-devel >= %{version}

Conflicts:      kdesdk-common < 4.10.80
Provides:       kdesdk-cervisia = %{version}-%{release}
Obsoletes:      kdesdk-cervisia < 4.10.80

%description
Cervisia is a CVS frontend for KDE

%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang cervisia --with-kde --without-mo

%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:


%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-mime-database %{_kde4_datadir}/mime >& /dev/null ||:


%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-mime-database %{_kde4_datadir}/mime >& /dev/null ||:
fi


%files -f cervisia.lang
%doc COPYING COPYING.DOC ChangeLog README
%{_kde4_bindir}/cervisia
%{_kde4_appsdir}/cervisia/
%{_kde4_appsdir}/cervisiapart/
%{_kde4_iconsdir}/hicolor/*/apps/cervisia.*
%{_kde4_libdir}/kde4/cervisiapart.so
%{_kde4_libdir}/libkdeinit4_cervisia.so
%{_kde4_datadir}/applications/kde4/cervisia.desktop
%{_kde4_datadir}/config.kcfg/cervisiapart.kcfg
%{_kde4_datadir}/dbus-1/interfaces/org.kde.cervisia*.xml
%{_kde4_iconsdir}/hicolor/*/actions/*cervisia.*
%{_kde4_datadir}/kde4/services/cervisiapart.desktop
%{_mandir}/man1/cervisia*
%{_kde4_bindir}/cvsaskpass
%{_kde4_bindir}/cvsservice
%{_kde4_libdir}/libkdeinit4_cvsaskpass.so
%{_kde4_libdir}/libkdeinit4_cvsservice.so
%{_kde4_datadir}/kde4/services/cvsservice.desktop


%changelog
* Fri Dec 13 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.4-1
- 4.11.4

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Wed Aug 14 2013 Jan Grulich <jgrulich@redhat.com> - 4.11.0-1
- 4.11.0

* Wed Aug 07 2013 Jan Grulich <jgrulich@redhat.com> - 4.10.97-1
- Split off from kdesdk package
